Bug 1347205 - Even after disabling Journal, the image is showing up in Slave Node
Summary: Even after disabling Journal, the image is showing up in Slave Node
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RBD
Version: 2.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: 2.1
Assignee: Jason Dillaman
QA Contact: Rachana Patel
URL:
Whiteboard:
Depends On:
Blocks: 1343229
TreeView+ depends on / blocked
 
Reported: 2016-06-16 09:49 UTC by Tanay Ganguly
Modified: 2017-07-30 15:27 UTC (History)
5 users (show)

Fixed In Version: RHEL: ceph-10.2.3-2.el7cp Ubuntu: ceph_10.2.3-3redhat1xenial
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-22 19:26:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
Slave Log (30.11 KB, text/plain)
2016-06-16 09:49 UTC, Tanay Ganguly
no flags Details


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 16349 None None None 2016-06-16 13:55:11 UTC
Red Hat Product Errata RHSA-2016:2815 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage security, bug fix, and enhancement update 2017-03-22 02:06:33 UTC

Description Tanay Ganguly 2016-06-16 09:49:10 UTC
Created attachment 1168651 [details]
Slave Log

Description of problem:
Even after disabling Journal, the image is showing up in Slave Node.

Version-Release number of selected component (if applicable):
ceph version 10.2.2-1.el7cp
rbd-mirror-10.2.2-1.el7cp.x86_64

How reproducible:
Once

Steps to Reproduce:
1. Create an Image with Journaling enabled.
2. Start IO using bench-write.
3. Then execute:

for i in {1..10}; do rbd feature disable RBD/test1 journaling --cluster master; rbd bench-write RBD/test1 --io-size 10240 --cluster master; rbd feature enable RBD/test1 journaling --cluster master; done

4. Step 3 completes, again i disabled the Journal. 


Actual results:
Journal got disabled from Master Node, but in Slave its still showing up.

rbd -p RBD --image test3 info --cluster master
rbd image 'test3':
        size 10240 MB in 2560 objects
        order 22 (4096 kB objects)
        block_name_prefix: rbd_data.129c238e1f29
        format: 2
        features: layering, exclusive-lock, object-map, fast-diff, deep-flatten
        flags: 


rbd -p RBD --image test3 info --cluster slave
rbd image 'test3':
        size 10240 MB in 2560 objects
        order 22 (4096 kB objects)
        block_name_prefix: rbd_data.107843754db7
        format: 2
        features: layering, exclusive-lock, object-map, fast-diff, deep-flatten, journaling
        flags: 
        journal: 107843754db7
        mirroring state: enabled
        mirroring global id: b6e7f98c-17ab-43d0-82c5-b6207385b8d1
        mirroring primary: false


Expected results:
Once Journal being disabled from Master Node, it should also get disabled from Slave Node.

Additional info:

Jun 16 09:46:37 magna003 rbd-mirror[30993]: 2016-06-16 09:46:37.987086 7f8d40ff9700 -1 rbd::mirror::Replayer: 0x7f8d8361e050 set_sources: failed to retrieve remote mirror uuid from pool RBD: (108) Cannot send after transport endpoint shutdown
Jun 16 09:46:38 magna003 rbd-mirror[30993]: 2016-06-16 09:46:38.259674 7f8d40ff9700 -1 rbd::mirror::Replayer: 0x7f8d8361e050 set_sources: failed to retrieve remote mirror uuid from pool RBD: (108) Cannot send after transport endpoint shutdown
Jun 16 09:47:08 magna003 rbd-mirror[30993]: 2016-06-16 09:47:08.259368 7f8d417fa700 -1 rbd::mirror::PoolWatcher: 0x7f8d8362edc0 refresh: could not tell whether mirroring was enabled for RBD: (108) Cannot send after transport endpoint shutdown
Jun 16 09:47:08 magna003 rbd-mirror[30993]: 2016-06-16 09:47:08.532182 7f8d40ff9700 -1 rbd::mirror::Replayer: 0x7f8d8361e050 set_sources: failed to retrieve remote mirror uuid from pool RBD: (108) Cannot send after transport endpoint shutdown
Jun 16 09:47:38 magna003 rbd-mirror[30993]: 2016-06-16 09:47:38.531569 7f8d417fa700 -1 rbd::mirror::PoolWatcher: 0x7f8d8362edc0 refresh: could not tell whether mirroring was enabled for RBD: (108) Cannot send after transport endpoint shutdown
Jun 16 09:47:38 magna003 rbd-mirror[30993]: 2016-06-16 09:47:38.804377 7f8d40ff9700 -1 rbd::mirror::Replayer: 0x7f8d8361e050 set_sources: failed to retrieve remote mirror uuid from pool RBD: (108) Cannot send after transport endpoint shutdown
Jun 16 09:48:08 magna003 rbd-mirror[30993]: 2016-06-16 09:48:08.803833 7f8d417fa700 -1 rbd::mirror::PoolWatcher: 0x7f8d8362edc0 refresh: could not tell whether mirroring was enabled for RBD: (108) Cannot send after transport endpoint shutdown
Jun 16 09:48:09 magna003 rbd-mirror[30993]: 2016-06-16 09:48:09.076374 7f8d40ff9700 -1 rbd::mirror::Replayer: 0x7f8d8361e050 set_sources: failed to retrieve remote mirror uuid from pool RBD: (108) Cannot send after transport endpoint shutdown
Jun 16 09:48:39 magna003 rbd-mirror[30993]: 2016-06-16 09:48:39.076300 7f8d417fa700 -1 rbd::mirror::PoolWatcher: 0x7f8d8362edc0 refresh: could not tell whether mirroring was enabled for RBD: (108) Cannot send after transport endpoint shutdown
Jun 16 09:48:39 magna003 rbd-mirror[30993]: 2016-06-16 09:48:39.349145 7f8d40ff9700 -1 rbd::mirror::Replayer: 0x7f8d8361e050 set_sources: failed to retrieve remote mirror uuid from pool RBD: (108) Cannot send after transport endpoint shutdown

Comment 6 kiran raje urs J 2016-06-16 13:42:06 UTC
setting it to 2.0

Comment 9 Jason Dillaman 2016-08-10 19:16:11 UTC
Upstream pull request: https://github.com/ceph/ceph/pull/9970

Comment 14 Rachana Patel 2016-10-21 01:10:49 UTC
Verified with build - 10.2.3-8.el7cp.x86_64
When we disable journaling, it removes image from remote/slave cluster.Hence moving to verified stae

Comment 16 errata-xmlrpc 2016-11-22 19:26:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2815.html


Note You need to log in before you can comment on or make changes to this bug.